###
### "THE BEER-WARE LICENSE":
### Alberto Ramos wrote this file. As long as you retain this 
### notice you can do whatever you want with this stuff. If we meet some 
### day, and you think this stuff is worth it, you can buy me a beer in 
### return. <alberto.ramos@cern.ch>
###
### file:    Scalar.jl
### created: Tue Oct  5 11:53:31 2021
###                               

module Scalar

using CUDA, Random
using ..Space
using ..Groups
using ..YM

import Base.show

struct ScalarParam{N,T}
    kap::Ntuple{N,T}
    eta::Ntuple{N,T}
end
function Base.show(io::IO, sp::ScalarParam{N,T}) where {N,T}

    println(io, "Number of scalar fields: ", N)
    print(io, "Kappas: ")
    for i in 1:N
        print(io, " ", sp.kap[i])
    end
    println("\netas:   ")
    for i in 1:N
        print(io, " ", sp.kap[i])
    end
    println("\n")

end
